class StringPfadUmbau { 
    public static void main(String[] args) { 
        String linuxPfad = "/media/usbstick/daten/unfug"; 
        String windowsPfad = ""; 
        int pos = 0;  // akt. Position im String
        int oldPos = 0; // wo wir zuletzt waren
        // wiederholen, wenn es noch weitere Schraegstriche gibt
        while (pos>=0) {
            pos = linuxPfad.indexOf('/', oldPos);
            if (pos>=0) {
                // Der Windows-Pfad ist der alte plus dem Backslash
                // und dem Pfad zwischen den Schraegstrichen.
                if (pos>oldPos) {
                    windowsPfad = windowsPfad + '\\' 
                            + linuxPfad.substring(oldPos, pos);
                }
                oldPos = pos+1;
            } 
        } 
        // Sollte nach dem letzten Schraegstrich noch ein Pfad
        // kommen, muss der natuerlich auch uebernommen werden.
        if (oldPos<linuxPfad.length()) {
           windowsPfad = windowsPfad + '\\' 
               + linuxPfad.substring(oldPos, linuxPfad.length()); 
        } 
        System.out.println(windowsPfad); 
    } 
} 

