class PolyPerson {
   class Person { // Die Basisklasse
        public void erhaeltZahlung(double betrag) {
            System.out.println("Person erhaelt Zahlung: " + betrag);
        }
    }

    class Angestellter extends Person {
        @Override public void erhaeltZahlung(double betrag) {
            System.out.println("Angestellter erhaelt Zahlung: " + betrag);
        }
    }

    class Kunde extends Person {
        @Override public void erhaeltZahlung(double betrag) {
            System.out.println("Kunde erhaelt Zahlung: " + betrag);
        }
    }

    class Lieferant extends Person {
        @Override public void erhaeltZahlung(double betrag) {
            System.out.println("Lieferant erhaelt Zahlung: " + betrag);
        }
    }

    PolyPerson() { // Der Konstruktor erzeugt die Personenobjekte
/*
        Kunde kunde = new Kunde();
        Person person = kunde;
        person.erhaeltZahlung(12.4);
*/
        Person []person = new Person[4];
        person[0] = new Angestellter();
        person[1] = new Kunde();
        person[2] = new Lieferant();
        person[3] = new Person();
        for (int i=0; i<4; i++) {
           person[i].erhaeltZahlung(12.5);
        }
    }

    public static void main(String[] args) {
        // Start des Konstruktors. Der ist dann nicht mehr statisch!
        new PolyPerson();
    }
}

