import java.awt.HeadlessException;
import javax.swing.*;
public class DiaInput {
    public static void main(String[] args) {
        String eingabe="";
        double zahl = 0.0;
        boolean eingabeProblem = false;
        do {
            eingabeProblem = false;
            try {
                eingabe = JOptionPane.showInputDialog(
                        "Bitte eine Zahl!");
                if (eingabe!=null) {
                    zahl = Double.parseDouble(eingabe);
                }
            } catch(NumberFormatException e) {
                // String fehler = e.getMessage();
                String fehler = e.toString();
                JOptionPane.showMessageDialog(null, fehler);
                e.printStackTrace();
                eingabeProblem = true;
            } catch(HeadlessException e) {
                System.err.println(
                        "Das Programm braucht eine GUI.");
                eingabeProblem = true;
            }
        } while (eingabeProblem);
        System.out.println((zahl*zahl));
    }
}

