import javax.swing.*;
import java.awt.*;

public class KleineGrafik extends JFrame {

    public KleineGrafik() {
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setTitle("Zeichnen mit Java");
        setSize(400, 300);
        setVisible(true);
    }

    @Override public void paint(Graphics g) {
        Insets insets = getInsets();
        int links  = insets.left;
        int oben   = insets.top;
        int breite = getSize().width-insets.left-insets.right;
        int hoehe  = getSize().height-insets.top-insets.bottom;
        g.clearRect(links, oben, breite-1, hoehe-1);
        g.setColor(Color.yellow);
        g.fillOval(links, oben, breite-1, hoehe-1);
        g.setColor(Color.black);
        g.drawOval(links, oben, breite-1, hoehe-1);
        String meldung  = "Hallo Swing!";
        g.drawString(meldung, breite/2, hoehe/2);
    }

    public static void main(String[] args) {
        new KleineGrafik();
    }
}

