import javax.swing.*;
import java.awt.*;

public class Zeichensatz extends JFrame {
  public static void main(String[] args) {
    Zeichensatz fenster = new Zeichensatz();
  }

  public Zeichensatz() {
    setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    setTitle("Zeichensatzinfo mit Java");
    setSize(400, 300);
    setVisible(true);
  }

  @Override public void paint(Graphics g) {
    Insets insets = getInsets();
    int links  = insets.left;
    int oben   = insets.top;
    int breite = getSize().width  - insets.left - insets.right;
    int hoehe  = getSize().height - insets.top  - insets.bottom;
    g.clearRect(links, oben, breite, hoehe);
    g.setColor(Color.black);
    g.setFont(new Font("Serif", Font.PLAIN, 20));
    FontMetrics fm = g.getFontMetrics();
    int zeile = 1;
    String meldung  = "Bildschirm: " + breite + " x " + hoehe
                      + " Pixel";
    g.drawString(meldung, links, oben+zeile*fm.getHeight());
    zeile++;
    meldung = "Zeilenhöhe - getHeight(): " + fm.getHeight();
    g.drawString(meldung, links, oben+zeile*fm.getHeight());
    zeile++;
    meldung = "Ascent - getAscent(): " + fm.getAscent();
    g.drawString(meldung, links, oben+zeile*fm.getHeight());
    zeile++;
    meldung = "Descent - getDescent(): " + fm.getDescent();
    g.drawString(meldung, links, oben+zeile*fm.getHeight());
    zeile++;
    meldung = "Durchschuss - getLeading(): " + fm.getLeading();
    g.drawString(meldung, links, oben+zeile*fm.getHeight());
    zeile++;
    meldung =
        "Breite von \"Willemer\" - stringWidth(\"Willemer\"): "
        + fm.stringWidth("Willemer");
    g.drawString(meldung, links, oben+zeile*fm.getHeight());
  }
}

