import java.awt.BorderLayout;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JTabbedPane;
import javax.swing.JRadioButton;
import javax.swing.ButtonGroup;
import javax.swing.JTextField;

public class TabbedCards extends JFrame {

    public TabbedCards() {
        JTabbedPane tabbedPane = new JTabbedPane();

        JPanel ersteKarte = new JPanel();
        JRadioButton radioLinks = new JRadioButton("Links");
        JRadioButton radioMitte = new JRadioButton("Mitte");
        JRadioButton radioRechts = new JRadioButton("Rechts");
        ButtonGroup gruppe = new ButtonGroup();
        gruppe.add(radioLinks);
        gruppe.add(radioMitte);
        gruppe.add(radioRechts);
        radioLinks.setSelected(true);
        ersteKarte.add(radioLinks);
        ersteKarte.add(radioMitte);
        ersteKarte.add(radioRechts);

        JPanel zweiteKarte = new JPanel();
        zweiteKarte.add(new JTextField("", 25));

        tabbedPane.addTab("Erster", ersteKarte);
        tabbedPane.addTab("Zweiter", zweiteKarte);
        add(tabbedPane, BorderLayout.CENTER);

        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        pack();
        setVisible(true);
    }

    public static void main(String[] args) {
        new TabbedCards();
    }
}

