import java.util.List;
import java.util.ArrayList;
import java.util.LinkedList;
import java.util.ListIterator;
import java.util.Iterator;
 
public class IterArrayList {
   
    void zeigKreise(List<Kreis> kreise) {
        for (int i=0; i<kreise.size(); i++) {
            System.out.print("" + i + ": " + kreise.get(i).getWo());
            System.out.print(" (" + kreise.get(i).getEinwohner());
            System.out.println(" Einwohner)");
        }
    }

    void zeigKreise2(List<Kreis> kreise) {
        for (Kreis k : kreise) {
            System.out.print("" + k.getWo());
            System.out.print(" (" + k.getEinwohner());
            System.out.println(" Einwohner)");
        }
    }

    void iterKreise(List<Kreis> kreise) {
        Iterator<Kreis> iterator = kreise.iterator();
        while (iterator.hasNext()) {
            Kreis k = iterator.next();
            System.out.print("" + k.getWo());
            System.out.print(" (" + k.getEinwohner());
            System.out.println(" Einwohner)");
        }
    }

    void iterPrevKreise(List<Kreis> kreise) {
        ListIterator<Kreis> iterator = kreise.listIterator();
        while (iterator.hasPrevious()) {
            Kreis k = iterator.previous();
            System.out.print("" + k.getWo());
            System.out.print(" (" + k.getEinwohner());
            System.out.println(" Einwohner)");
        }
    }

    void iterDesc(LinkedList<Kreis> kreise) {
        Iterator<Kreis> iterator = kreise.descendingIterator();
        while (iterator.hasNext()) {
            Kreis k = iterator.next();
            System.out.print("" + k.getWo());
            System.out.print(" (" + k.getEinwohner());
            System.out.println(" Einwohner)");
        }
    }

    void iterPrev(List<Kreis> kreise) {
        ListIterator<Kreis> iterator = kreise.listIterator(kreise.size());
        while (iterator.hasPrevious()) {
            Kreis k = iterator.previous();
            System.out.print("" + k.getWo());
            System.out.print(" (" + k.getEinwohner());
            System.out.println(" Einwohner)");
        }
    }

    public IterArrayList() {
        LinkedList<Kreis> kreise = new LinkedList<Kreis>();
        kreise.add(new Kreis("Schleswig-Flensburg",197903));
        kreise.add(new Kreis("Hochtaunusgreis",227425));
        kreise.add(new Kreis("Muehlheim",167344));
        kreise.add(new Kreis("Pinneberg",303481));
        kreise.add(new Kreis("Recklinghausen",628817));
        zeigKreise(kreise);

        System.out.println("--- Liste per Iterator");
        iterKreise(kreise);
        System.out.println("zurueck mit previous");
        iterPrev(kreise);
        System.out.println("zurueck mit descendingIterator");
        iterDesc(kreise);
        // tausche Pos 1 und 2
        Kreis help = kreise.get(1);
        kreise.set(1, kreise.get(2));
        kreise.set(2, help);
        kreise.remove(3);
        System.out.println("--- Liste per for nach Tausch und Loeschung");
        zeigKreise2(kreise);
    }

    public static void main(String args[]) {
        new IterArrayList();
    }
}

