import java.util.Random;
import java.util.ArrayList;

public class LottoPaare {

    public static void main(String[] args) {
        final int MAX = 6;
        ArrayList<Integer> lotto = new ArrayList<Integer>();
        for (int i=0; i<MAX; i++) {
            lotto.add(8);
        }
        long anzahlZiehungen = 0;
        long anzahlDoppelte = 0;
        Random zufall = new Random();
        for (int ziehungen=0; ziehungen<1000000; ziehungen++) {
            for (int i=0; i<MAX; i++) {
                boolean doppelt = false;
                do {
                    lotto.set(i, Math.abs(zufall.nextInt()) % 49 + 1);
                    doppelt = false;
                    for (int j=0; j<i; j++) {
                        if (lotto.get(i)==lotto.get(j)) {
                            doppelt = true;
                        }
                    }
                } while(doppelt);
            }
            // Lottozahlen sind gezogen
            boolean paar = false;
            for (int i=0; i<MAX; i++) {
                for (int j=0; j<i; j++) {
                    if (Math.abs(lotto.get(i)-lotto.get(j)) == 1) {
                        paar = true;
                    }
                }
            }
            if (paar) {
                anzahlDoppelte++;
            }
            anzahlZiehungen++;
        }
        System.out.println("Verhaeltnis: "
            + 1.0*anzahlDoppelte/anzahlZiehungen);
    }
}

