import java.util.ArrayList;
import java.io.*;
public class LeseKreise  {
    void zeigKreise(ArrayList<Kreis> kreise) {
        for (int i=0; i<kreise.size(); i++) {
            System.out.print("" + i + ": "
                             + kreise.get(i).getWo());
            System.out.print(" ("
                             + kreise.get(i).getEinwohner());
            System.out.println(" Einwohner)");
        }
    }
    @SuppressWarnings({"unchecked"})
    public LeseKreise () {
        ArrayList<Kreis> kreise = new ArrayList<Kreis>();
        try { 
            FileInputStream datei = new FileInputStream("kreise.data"); 
            ObjectInputStream in = new ObjectInputStream(datei); 
            kreise = (ArrayList<Kreis>) in.readObject(); 
            in.close(); 
        } catch(ClassNotFoundException ex) { 
        } catch(IOException ex) { 
            System.out.println("Hat nicht geklappt!");
            System.exit(-1);
        } 
        zeigKreise(kreise);
    }
    public static void main(String args[]) {
        new LeseKreise ();
    }
}

