import javax.swing.*;
import java.awt.*;

public class GrafikJPanel extends JFrame {
    private class PaintPanel extends JPanel { 
        @Override protected void paintComponent(Graphics g) { 
            int breite = getSize().width;
            int hoehe  = getSize().height;
            g.clearRect(0, 0, breite, hoehe);
            g.setColor(Color.yellow);
            g.fillOval(0, 0, breite, hoehe);
            g.setColor(Color.black);
            g.drawOval(0, 0, breite, hoehe);
            String meldung  = "Hallo Swing!";
            g.drawString(meldung, breite/2, hoehe/2);
        }
    }
    public GrafikJPanel() {
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setTitle("Zeichnen mit Java");
        setSize(400, 300);
        add(new PaintPanel());
        setVisible(true);
    }

    public static void main(String[] args) {
        new GrafikJPanel();
    }
}

