import javax.swing.*;
import java.awt.*;
import java.awt.geom.*;

public class Hufeisen extends JFrame {

    public static void main(String[] args) {
        Hufeisen fenster = new Hufeisen();
        fenster.setTitle("Hufeisen");
        fenster.setSize(400, 300);
        fenster.setVisible(true);
    }

    public Hufeisen() {
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    }

    @Override public void paint(Graphics pg) {
        Insets insets = getInsets();
        int links  = insets.left;
        int oben   = insets.top;
        int breite = getSize().width-insets.left-insets.right;
        int hoehe  = getSize().height-insets.top-insets.bottom;

        Graphics2D g = (Graphics2D) pg;
        Area area = new Area(new Rectangle2D.Double(links, oben, 100, 100));
        area.add(new Area(new Ellipse2D.Double(links, oben+50, 100, 100)));
        Area innen = new Area(new Rectangle2D.Double(links+10, oben, 80, 100));
        innen.add(new Area(new Ellipse2D.Double(links+10, oben+50, 80, 90)));
        area.subtract(innen);
        g.setPaint(new GradientPaint(0, 0, Color.blue, 
                0, 150, Color.green, true));
        g.fill(area);
        g.setColor(Color.black);
        g.draw(area);

    }
}

