import javax.swing.*;
import java.awt.*;
import java.awt.geom.*;

public class Wappen extends JFrame {

    public static void main(String[] args) {
        Wappen fenster = new Wappen();
        fenster.setTitle("Wappen");
        fenster.setSize(400, 300);
        fenster.setVisible(true);
    }

    public Wappen() {
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    }

    @Override public void paint(Graphics pg) {
        Insets insets = getInsets();
        int links  = insets.left;
        int oben   = insets.top;
        int breite = getSize().width-insets.left-insets.right;
        int hoehe  = getSize().height-insets.top-insets.bottom;

        Graphics2D g = (Graphics2D) pg;
        Area area = new Area(new Rectangle2D.Double(links, oben, 100, 100));
        area.add(new Area(new Ellipse2D.Double(links, oben+50, 100, 100)));
        g.setColor(Color.yellow);
        g.fill(area);
        g.setColor(Color.black);
        g.draw(area);
    }
}

