package willemer.flaschen;

import android.os.Bundle;
import android.app.Activity;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

public class MainActivity extends Activity implements OnClickListener {

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        Button btRechne = (Button) findViewById(R.id.rechne);
        btRechne.setOnClickListener(this);        
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.activity_main, menu);
        return true;
    }

    public void onClick(View v) {
        EditText edAnzahl = (EditText) findViewById(R.id.anzahl);
        int anzahl = Integer.parseInt(edAnzahl.getText().toString());
        EditText edPreis = (EditText) findViewById(R.id.preis);
        double preis = Double.parseDouble(edPreis.getText().toString());
        double gesamt = preis*anzahl;
        TextView txtGesamt = (TextView) findViewById(R.id.gesamt);
        txtGesamt.setText(String.valueOf(gesamt));
    }
}

