import java.sql.*;
public class JdbcSelect {
    public JdbcSelect() {
         try {
            Class.forName("org.postgresql.Driver");
        } catch (ClassNotFoundException e) {
            System.out.println("JDBC-Treiber fehlt. Programmende.");
            System.exit(1);
        }
    }
    public static void main(String args[])
    {
        JdbcSelect db = new JdbcSelect();
        db.select();
    }
    public void select() {
        try{
            Connection dbConnect = DriverManager.getConnection(
                 "jdbc:postgresql://debian/mydb",
                 "arnold",
                 "geheim");
            PreparedStatement sqlBefehl = dbConnect.prepareStatement(
                        "SELECT name, preis FROM artikel");
            ResultSet sqlErgebnis = sqlBefehl.executeQuery();
            while (sqlErgebnis.next()) {
                System.out.print("Name: ");
                System.out.print(sqlErgebnis.getString("name"));
                System.out.print("Preis: ");
                System.out.println(sqlErgebnis.getDouble("preis"));
            }
            sqlErgebnis.close(); // Ergebnismenge schliessen
            dbConnect.close();   // Datenbank schliessen
        } catch (SQLException e) {
            System.out.println(e.toString());
            System.out.println("Status: " + e.getSQLState());
            System.out.println("Error: " + e.getErrorCode());
        }
    }
}

