import java.sql.*;
import java.util.Properties;

public class UpdateBonbon {
    final static String dbName = "Bonbonbude";
    final static String tableName = "Artikel";

    public UpdateBonbon() {
         try {
            Class.forName("org.apache.derby.jdbc.EmbeddedDriver");
        } catch (ClassNotFoundException e) {
            System.out.println("derby.jar fehlt. Programmende.");
            System.exit(1);
        }
    }
    public static void main(String args[]) {
        UpdateBonbon db = new UpdateBonbon();
        try{
            Connection dbConnect = db.connect();
            if (args.length == 3) {
                db.update(dbConnect, args);
            }
            db.selectAll(dbConnect);
            dbConnect.close();   // Datenbank schliessen
        } catch (SQLException e) {
            System.out.println(e.toString());
            System.out.println("Status: " + e.getSQLState());
            System.out.println("Error: " + e.getErrorCode());
        }
    }
    public Connection connect() throws SQLException {
        Properties properties = new Properties();
        properties.put("user", "arnold");
        properties.put("password", "geheim");
        Connection dbConnect = DriverManager.getConnection(
                 "jdbc:derby:"+dbName, properties);
        return dbConnect;
    } 
    public void update(Connection connection, String[] args) {
        for (int i=0; i<args.length; i++) {
            System.out.println(args[i]);
        }
        try {
            Statement statement = connection.createStatement();
            statement.execute("update "+ tableName 
                    + " set preis=" + args[1]
                    + ",menge="+args[2]+" where name=\'"+args[0]+"\'");
            statement.close();
        } catch (SQLException e) {
            e.printStackTrace();
        }
    }
    public void selectAll(Connection dbConnect) throws SQLException {

        PreparedStatement sqlBefehl = dbConnect.prepareStatement(
                    "SELECT name, preis, menge FROM artikel");
        ResultSet sqlErgebnis = sqlBefehl.executeQuery();
        while (sqlErgebnis.next()) {
            System.out.print("Name: ");
            System.out.print(sqlErgebnis.getString("name"));
            System.out.print(" | Preis: ");
            System.out.print(sqlErgebnis.getDouble("preis"));
            System.out.print(" | Menge: ");
            System.out.println(sqlErgebnis.getDouble("menge"));
        }
        sqlErgebnis.close(); // Ergebnismenge schliessen
    }
}

